Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Collections
Public Class ProductList
  Implements VisList
  'klasa dostarcza wspólnego interfejsu prezentacji danych
  'do listboxa
  Private lst As ListBox
  '------------
  Private Sub addLine(ByVal p As Product) Implements VisList.addLine

    lst.Items.Add(p.getName)
  End Sub
  '------------
  Public Sub New(ByVal c As ListBox)
    MyBase.New()
    lst = c
  End Sub
  '------------
  Public Sub removeLine(ByVal num As Integer) Implements VisList.removeLine
    lst.Items.Remove(num)
  End Sub

End Class
